Description

DataONE synchronization of the Dryad Member Node failed on 5659 objects that didn't conform to the Dryad Metadata Profile v3.1. 

Upon CN.create(), instance document validation showed errors like:

Error inserting or updating document: <?xml version="1.0"?><error>cvc-complex-type.2.4.a: Invalid content was found starting with

element 'dcterms:title'. One of '{"http://purl.org/dc/terms/":creator}' is expected.</error>

An example object is:

https://datadryad.org/mn/v1/object/http://dx.doi.org/10.5061/dryad.k79m2/1?ver=2014-03-05T09:55:24.618-05:00

From the schema definition at http://purl.org/dryad/schema/terms/v3.1, it looks like the required dcterms:creator element is missing

before the dcterms:title element.

This looks like it accounts for a large portion of un-synchronized content from Dryad (only 29K of 40K so far), but is not the only

issue.  I'll continue to look at the logs for the other errors.

History

#1 - 2014-04-30 19:25 - Ryan Scherle

After running a validation process, we have only identified 131 objects that fail to validate. We are in the process of fixing them. 

We are not certain what problem would be affecting the other 5500 items. Can you give us some more sample identifiers of items that are failing?

#2 - 2014-04-30 19:25 - Ryan Scherle

- Assignee changed from Ryan Scherle to Chris Jones
